Entity Credit Balances
curl --request GET \
--url https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems")
.header("Authorization", "Bearer <token>")
.asString();Product Credits
Entity Credit Balances
Read Entity, shared, and effective exact-decimal balances
GET
/
engine
/
api
/
v1
/
customers
/
{customer_id}
/
entities
/
{entity_id}
/
credit-systems
Entity Credit Balances
curl --request GET \
--url https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.nozle.app/engine/api/v1/customers/{customer_id}/entities/{entity_id}/credit-systems")
.header("Authorization", "Bearer <token>")
.asString();Base URL:
Read one system:
The list endpoint returns
https://api.nozle.app/engine/api/v1.
Auth: secret key only. The key requires entity:read. Publishable keys are rejected.
List all relevant Credit Systems:
GET /customers/workspace_123/entities/user_42/credit-systems
Authorization: Bearer sk_nozle_...
GET /customers/workspace_123/entities/user_42/credit-systems/ai_credits/balance
Authorization: Bearer sk_nozle_...
{
"customer_id": "workspace_123",
"entity_id": "user_42",
"entity_status": "active",
"credit_system": "ai_credits",
"credit_system_id": "c15f2949-7df6-4f05-89af-3f1b0bc82189",
"credit_system_name": "AI Credits",
"unit_name": "credit",
"system_status": "active",
"entity_available": "480.000000000001",
"shared_available": "250",
"effective_available": "730.000000000001",
"consumed": "42",
"pool_policy": "entity_then_customer",
"as_of": "2026-07-22T12:00:00.750Z",
"sources": [
{
"id": "allocated-source-1",
"entity_id": "user_42",
"parent_source_id": "paid-top-up-source-1",
"scope": "entity",
"transferable": false,
"returnable": true,
"type": "allocated_top_up",
"reference": "opaque-source-reference",
"subscription_id": null,
"initial": "100",
"remaining": "100",
"valid_from": "2026-07-21T09:00:00Z",
"expires_at": null,
"priority": 100,
"status": "active",
"available": true
}
]
}
{ "customer_id", "entity_id", "entity_status", "as_of", "balances": [...] }, with one object of this shape per item. Source fields have the same meaning as in Customer Credit Balances. pool_policy is null when no policy applies.
An unknown customer returns 404 customer_not_found, an unknown Entity returns 404 entity_not_found, and an unknown Credit System code returns 404 credit_system_not_found. A retryable read failure returns 503 credit_read_temporarily_unavailable with Retry-After.
All amounts are strings. entity_available and shared_available expose separate source pools. effective_available applies the current plan policy and becomes zero when the Entity is inactive or no unambiguous policy exists.
The source list contains active or scheduled, non-exhausted sources. Expired and exhausted sources remain in immutable history but are not returned by this balance endpoint.